Skip to main content
POST
/
customers
/
external-accounts
Create external account pair
curl --request POST \
  --url https://api.gnosisramp.io/v1/customers/external-accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "src": "USD",
  "dest": "USDC_GNO",
  "source": {},
  "destination": {}
}
'
{
  "source": {
    "id": "ext_acc_12345",
    "type": "BANK_ACCOUNT",
    "currencyId": "usd-currency-id",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "updatedAt": "2024-01-01T00:00:00.000Z",
    "metadata": {},
    "label": "Personal Checking Account",
    "customerId": "customer-123",
    "currency": {
      "id": "usd-currency-id",
      "ticker": "USDC",
      "name": "USD Coin",
      "code": "USDC_ETH",
      "decimals": 6,
      "type": "FIAT",
      "createdAt": "2024-01-01T00:00:00.000Z",
      "updatedAt": "2024-01-01T00:00:00.000Z"
    }
  },
  "destination": {
    "id": "ext_acc_12345",
    "type": "BANK_ACCOUNT",
    "currencyId": "usd-currency-id",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "updatedAt": "2024-01-01T00:00:00.000Z",
    "metadata": {},
    "label": "Personal Checking Account",
    "customerId": "customer-123",
    "currency": {
      "id": "usd-currency-id",
      "ticker": "USDC",
      "name": "USD Coin",
      "code": "USDC_ETH",
      "decimals": 6,
      "type": "FIAT",
      "createdAt": "2024-01-01T00:00:00.000Z",
      "updatedAt": "2024-01-01T00:00:00.000Z"
    }
  }
}

Authorizations

Authorization
string
header
required

GnosisRamp JWT bearer token for authenticated customer requests

Body

application/json

Request to create a paired source and destination external account

src
string
required

Source currency code (e.g., USD, EUR, BRL)

Example:

"USD"

dest
string
required

Destination currency code (e.g., USDC_GNO, USDC_ETH)

Example:

"USDC_GNO"

source
object
required

Source account metadata matching the source JSON Schema from requirements

destination
object
required

Destination account metadata matching the destination JSON Schema from requirements

Response

External account pair created successfully

Response containing both created external accounts

source
object
required

External account with currency relation

destination
object
required

External account with currency relation